Bug 1552108 - neutron-ns-metadata-proxy disappeared
Summary: neutron-ns-metadata-proxy disappeared
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Daniel Alvarez Sanchez
QA Contact: Roee Agiman
URL:
Whiteboard:
Depends On: 1540452 1552097 1552103
Blocks: 1552110
TreeView+ depends on / blocked
 
Reported: 2018-03-06 14:11 UTC by Daniel Alvarez Sanchez
Modified: 2018-06-27 13:35 UTC (History)
10 users (show)

Fixed In Version: openstack-neutron-12.0.0-0.20180222093623.abb60c6.0rc2.el7ost
Doc Type: Bug Fix
Doc Text:
When an interface is added or removed to or from a router and isolated metadata is enabled on the DHCP Agent, the metadata proxy for that network is not updated. As such, instances would not able to fetch metadata if they are on a network which is not connected to a router. You need to update metadata proxies when a router interface is added or removed. The instances will then be able to fetch metadata from the DHCP namespace when their networks become isolated.
Clone Of: 1552103
: 1552110 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:35:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 549822 'None' MERGED Spawn/stop metadata proxies upon adding/deleting router interfaces 2020-04-09 21:00:08 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:35:52 UTC

Comment 8 errata-xmlrpc 2018-06-27 13:35:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.